﻿using ExempleApi.Models;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Xml;
using System.Xml.Linq;
using System.Xml.Serialization;

namespace ExempleApi.DataAccessLayer
{
    public class UserRepository : IUserRepository
    {    
        public User GetUser(int id)
        {
            String path = System.Web.HttpContext.Current.Request.MapPath("~\\Data\\DB.xml");
            XElement xElement = XElement.Load(path);

            User user = (from u in xElement.Elements("user")
                         where (string)u.Attribute("id") == id.ToString()
                         select new User
                         {
                             Id = id,
                             Fullname = u.Element("fullname").Value.ToString(),
                             City = u.Element("city").Value.ToString(),
                             ImageURL = u.Element("imageUrl").Value.ToString(),
                             Likes = Convert.ToInt32(u.Element("likes").Value),
                             TotalFollowers = Convert.ToInt32(u.Element("totalFollowers").Value),
                             TotalFollowing = Convert.ToInt32(u.Element("totalFollowing").Value.ToString()),
                             TotalPosts = Convert.ToInt32(u.Element("totalPosts").Value.ToString())
                         }).FirstOrDefault();

            return user;
        }
    }
}